# $Id: ruby-finance.spec,v 1.1 2004/07/12 01:22:56 ianmacd Exp $
#
Summary: Ruby/Finance module 
Name: ruby-finance
Version: 0.1.0
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
URL: http://www.caliban.org/ruby
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby >= 1.8.0
Requires: ruby >= 1.8.0

# build documentation if we have rdoc on the build system
%define rdoc %( type rdoc > /dev/null && echo 1 || echo 0 )

%description
Ruby/Finance allows access to changing financial data, such as currency
conversion rates and stock quotes. It is currently a partial port of Perl's
Finance::Quote module.

%prep
%setup
ruby setup.rb config --prefix=$RPM_BUILD_ROOT%{_prefix}
ruby setup.rb setup

%build
%if %{rdoc}
rdoc -x CVS lib
#rdoc -r -o ri lib
%endif

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
ruby setup.rb install
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
  ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc COPYING INSTALL README.rdoc
%doc example
%if %{rdoc}
%doc doc/
%endif

%changelog
* Sun Jul 11 2004 Ian Macdonald <ian@caliban.org> 0.1.0-1
- 0.1.0
- First public release.
